#Probando con asturias las variables y comandos
plot(asturias_60$dia,asturias_60$num_casos)
plot(asturias_60$num_casos, asturias_60$dia)
plot(asturias_60$dia,asturias_60$num_casos)
summary(asturias_60)

#Datos agregados
View(datos3_agregados_60)
plot(datos3_agregados_60$num_casos,datos3_agregados_60$num_hosp)
plot(datos3_agregados_60$num_def,datos3_agregados_60$num_hosp)

#Test para calcular intervalo de confianza, observar diferencia entre sus medias
#¿Quizás quitar variables?
t.test(asturias_60, cantabria_60)

#Como hay variables no numéricas, no podemos hacer correlación
cor(datos3_agregados_60)

#Analizamos la correlación de las variables nºcasos y días (numéricas)
cor(datos3_agregados_60$dia,datos3_agregados_60$num_casos)

#Estudiamos relación lineal entre dos variables, días y nº casos
mod1 <- lm(formula = dia ~ num_casos, data = datos3_agregados_60)
summary(mod1)

#Creamos otro gráfico sobre la relación lineal pero ahora sobre nº casos y hosp.

mod2 <- lm(formula = num_casos ~ num_hosp, data = datos3_agregados_60)
summary(mod2)

#Pruebo a escalar la variable num_casos para ver 

num_casos = scale(datos3_agregados_60$num_casos, center=TRUE, scale=FALSE)
mod3 = lm(formula = dia ~ num_casos, data = datos3_agregados_60) 
summary(mod3)

#Creamos un gráfico de dispersión entre dia y num_casos

plot(datos3_agregados_60$dia,datos3_agregados_60$num_casos, main = "Número de casos por día", xlab = "Día", ylab = "Número de casos", col = "blue", data = datos3_agregados_60)


lm(formula = num_casos ~ num_hosp + num_def , 
   data = datos3_agregados_60)
summary(datos3_agregados_60)

#Gráfico de barras 
#Número de casos y número de hospitalizados
barplot(datos3_agregados_60$num_casos, datos3_agregados_60$num_hosp, 
        main = "Número de hospitalizados por casos de contagio", 
        xlab = "Número de casos", ylab = "Número de hospitalizados", 
        data = datos3_agregados_60)

#Revisar este gráfico
barplot(num_casos,
        main = "Número de fallecidos por casos de contagio",
        xlab = "Número de casos",
        ylab = "Número de fallecidos")

#Gráfico de barras con colores

barplot(datos3_agregados_60,
        main = "Defunciones por número de hospitalizados",
        xlab = "Número de casos",
        col = c("red","green")
legend("topleft",
       c("Num_def","Num_hospitalizados"),
       fill = c("red","green"))


#Histogramas

hist(num_uci, data = datos3_agregados_60)


#Histograma con parámetros añadidos

hist(num_casos,
     main="Numero de casos de contagio",
     xlab="Número de casos",
     col="darkmagenta")

#Gráficos de líneas,observamos la tendencia de una variable relacionada con otra

plot(datos3_agregados_60$dia, datos3_agregados_60$num_casos, 
     type = "l",xlab = "Días", ylab = "Número de casos",
     main = "Número de casos por días" )

#Función de densidad para observar la distribución de los datos
density(datos3_agregados_60$num_casos)


#Strip chart
#Jitter "esparce" los resultados para que no se superpongan
#Pch es el símbolo de circulo

stripchart(datos3_agregados_60$num_casos,
           main="Evolución del número casos por dia",
           xlab="Días",
           ylab="Casos de contagio",
           method="jitter",
           col="orange")

stripchart(log1p(datos3_agregados_60$num_casos),
           main="Evolución del número casos por dia",
           xlab="Días",
           ylab="Casos de contagio",
           method="jitter",
           col="orange")

plot(density(datos3_agregados_60$num_casos))

x <- list("Número de hospitalizados"=num_hosp ,
          "Número de pacientes en UCI"=num_uci, 
          data = datos3_agregados_60)

stripchart(x, main = "Número de pacientes COVID en UCI por nº de hospitalizados"
xlab = "Número de hospitalizados",
ylab = "Número pacientes en UCI por COVID",
method="jitter",
col=c("orange","red"),
pch=16)



plot(galic$num_casos, datos3_agregados_60$num_hosp, type = "l")

ggplot(, aes(x = fecha, y = valor)) + 
  geom_line() +
  geom_ribbon(aes(ymin = valor - sd, ymax = valor + sd), alpha = 0.2)




